Subject: Re: [RFC]: xfrm by mark

From: jamal <[email-masked]>
Date: Mon, 08 Feb 2010 09:58:30 -0500

On Mon, 2010-02-08 at 14:30 +0100, Patrick McHardy wrote:

> If you simply add the mark to the lookup key, it will break
> existing setups already using marks. I'd suggest to also add
> a mask which is initialized to 0 when no mark attribute is
> present.

Good point - better safe than sorry (especially after the havoc
that ingress mark caused;->)

Would it be easier to just add a global sysctl with default being
"dont use marks"? It will be less memory use than a 32-bit mask per
mark..

cheers,
jamal